---
updatedAt: 2026-05-27T12:48:32.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Get List of Templates

Use this API to retrieve the details of all the published templates. The response includes basic template details such as the template name, template root version ID, and template type.

 > 🗒 Things to Know
 > 
 > - The following template types are available:
 > 
 > <details>
 > 
 > <summary><b>Template Types</b></summary>
 > 
 > CONTROL: Control templates created in IT & Security Risk Management
 > 
 > DISCLOSURE: Disclosure Management
 > 
 > ESG: ESG Program Reporting & Disclosures
 > 
 > EXCHANGE: Third-Party Risk Exchange
 > 
 > INCIDENT: Incident Management
 > 
 > ITRM: IT & Security Risk Management
 > 
 > PIA: PIA & DPIA Automation
 > 
 > VENDOR: Third-Party Risk Management
 > 
 > </details>
 > 
 > - If the template type is not specified in the API request body, all template types will be included in the response.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Privacy Automation - Assessment Automation",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "description": "The Assessment Automation APIs provide functionality for managing assessment template lifecycle operations, including template export and import for cross-environment migration, retrieving published template metadata with filtering by template type, and template deletion with comprehensive validation checks."
  },
  "servers": [
    {
      "url": "https://{hostname}",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Template",
      "description": "APIs to manage assessment template operations including import and export functionality for cross-tenant migration, retrieval of published template listings with type-based filtering, and template deletion with dependency validation.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/privacy-automation-assessment-automation.json"
      },
      "x-displayName": "Template"
    }
  ],
  "paths": {
    "/api/template/v1/published-template-metadata": {
      "get": {
        "operationId": "getAllBasicTemplateDetailsUsingGET",
        "summary": "Get List of Templates",
        "description": "Use this API to retrieve the details of all the published templates. The response includes basic template details such as the template name, template root version ID, and template type.\n\n > 🗒 Things to Know\n > \n > - The following template types are available:\n > \n > <details>\n > \n > <summary><b>Template Types</b></summary>\n > \n > CONTROL: Control templates created in IT & Security Risk Management\n > \n > DISCLOSURE: Disclosure Management\n > \n > ESG: ESG Program Reporting & Disclosures\n > \n > EXCHANGE: Third-Party Risk Exchange\n > \n > INCIDENT: Incident Management\n > \n > ITRM: IT & Security Risk Management\n > \n > PIA: PIA & DPIA Automation\n > \n > VENDOR: Third-Party Risk Management\n > \n > </details>\n > \n > - If the template type is not specified in the API request body, all template types will be included in the response.",
        "tags": [
          "Template"
        ],
        "x-onetrust": {
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/privacy-automation-assessment-automation.json"
        },
        "parameters": [
          {
            "name": "template-types",
            "in": "query",
            "description": "The array of template types to filter by when retrieving published templates.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "description": "Template types to filter by. If not specified, all template types will be included.",
                "enum": [
                  "CONTROL",
                  "DISCLOSURE",
                  "ESG",
                  "EXCHANGE",
                  "INCIDENT",
                  "ITRM",
                  "PIA",
                  "VENDOR"
                ],
                "example": [
                  "CONTROL",
                  "ITRM"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Template_TemplateBasicDetailsDto"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "429": {
            "description": "Too Many Requests. \nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "schema": {
                  "description": "The number of seconds after which requests will be allowed again.",
                  "format": "int32"
                }
              },
              "ot-period": {
                "schema": {
                  "description": "The unit of time for which the rate limit applies",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-ratelimit-event-id": {
                "schema": {
                  "description": "The unique identifier for the rate-limiting event.",
                  "format": "uuid"
                }
              },
              "ot-request-made": {
                "schema": {
                  "description": "The number of requests made within the specified period.",
                  "format": "int32"
                }
              },
              "ot-requests-allowed": {
                "schema": {
                  "description": "The number of requests allowed within the specified period.",
                  "format": "int32"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "security": [
          {
            "Template_OAUTH2": [
              "INTEGRATION",
              "ASSESSMENT_READ",
              "ASSESSMENT"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Template_TemplateBasicDetailsDto": {
        "type": "object",
        "properties": {
          "name": {
            "description": "The display name of the published template.",
            "type": "string",
            "example": "Sample Template"
          },
          "rootVersionId": {
            "description": "The root version identifier used for template management and operations.",
            "type": "string",
            "format": "uuid",
            "example": "7d271be5-0601-4190-96a7-65d7c427a725"
          },
          "templateType": {
            "description": "The classification type of the template indicating its purpose and module.",
            "type": "string",
            "example": "PIA",
            "default": "PIA",
            "enum": [
              "PIA",
              "VENDOR",
              "ITRM",
              "CONTROL",
              "ESG",
              "TPDD",
              "AIGOVERNANCE"
            ]
          }
        }
      }
    },
    "securitySchemes": {
      "Template_OAUTH2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "ASSESSMENT": "Access to assessment scope for external systems",
              "ASSESSMENT_READ": "Access to read assessment scope for external systems"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0"
  }
}
```

# Sibling pages

* [Import Template](https://developer.onetrust.com/onetrust/reference/importtemplatebyidusingpost.md)
* [Delete Template](https://developer.onetrust.com/onetrust/reference/deletetemplateversionsusingdelete.md)
* [Export Template](https://developer.onetrust.com/onetrust/reference/exporttemplatewithbusinesskeysusingget.md)